Get the request for the Hanko Authenticator
curl --request GET \
--url https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{your_hanko_authenticator_instance}/v1/uaf/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"username": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z",
"relyingParty": {
"id": "<string>",
"name": "<string>",
"appId": "<string>",
"icon": "<string>"
},
"links": [
{
"rel": "<string>",
"method": "<string>",
"href": "<string>"
}
],
"request": "<string>",
"deviceID": "<string>",
"clientData": {
"remoteAddress": "<string>",
"userAgent": "<string>"
},
"location": {
"country": "<string>",
"region": "<string>",
"city": "<string>"
},
"transaction": "<string>",
"device": {
"deviceId": "<string>",
"keyName": "<string>"
},
"isSecondFactorOnly": true,
"error": {
"code": 123,
"reason": "<string>"
}
}{
"code": 401,
"message": "Unauthorized"
}{
"code": 404,
"messsage": "Not Found."
}{
"code": 500,
"message": "Internal Server Error"
}Hanko Authenticator
Get the request for the Hanko Authenticator
Get the current status of a previously created Hanko Authenticator operation.
GET
/
v1
/
uaf
/
requests
/
{id}
Get the request for the Hanko Authenticator
Authorizations
This API uses Authorization: secret <api_key>
rather than the standard Bearer scheme.
Path Parameters
General identifier used to describe a specific resource
Response
The full Hanko request for an initialized authentication operation including links
Available options:
AUTH, DEREG, REG Available options:
PENDING, OK, FAILED, INVALIDATED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I